Перейти к содержимому


Фото
- - - - -

Где взять drweb-spider-kmod-<версия>- <дата>.tar.bz2 для сборки модуля ядра для SpIDer Guard

drweb-spider-kmod сборка модуля ядра SpIDer Guard

  • Please log in to reply
14 ответов в этой теме

#1 Alekvk

Alekvk

    Newbie

  • Posters
  • 43 Сообщений:

Отправлено 05 Апрель 2019 - 17:39

Здравствуйте!

 

Возникла ситуация: в ОС на основе Debian 8 не запускается модуль LinuxSpider.

Висит вот с такой ошибкой:

LinuxSpider; 5059; TERMINATED 113 Kernel module is not available

Действия при возникновении данной ошибки (113), рекомендуемые в руководстве я провел, осталось попробовать пересобрать модуль ядра для SpIDer Guard.

Вопрос: где взять drweb-spider-kmod-<версия>- <дата>.tar.bz2?

В папке на компе нет. В репозитории не нашел. Может плохо искал?

 

 

З.Ы. ОС работает в консольном режиме. SpIDer Guard в режиме Fanotify не стартует.


Сообщение было изменено Alekvk: 05 Апрель 2019 - 17:40


#2 Aleksandra K.

Aleksandra K.

    Newbie

  • Dr.Web Staff
  • 48 Сообщений:

Отправлено 05 Апрель 2019 - 18:08

Приветствую.

 

Подробнее про пересборку можно тут:

https://download.geo.drweb.com/pub/drweb/unix/workstation/11.1/documentation/html/ru/index.html?dw_8_app_e_compile_lkm.htm

 

Дополнительно:

Какой продукт установлен (версия)?


Сообщение было изменено Aleksandra K.: 05 Апрель 2019 - 18:11


#3 Dmitry Mikhirev

Dmitry Mikhirev

    Member

  • Dr.Web Staff
  • 371 Сообщений:

Отправлено 05 Апрель 2019 - 18:16

в ОС на основе Debian 8 не запускается модуль LinuxSpider

В Debian 8 этот модуль не нужен. Если же у Вас какая-то Астра, не стоит говорить загадками.

 

Вопрос: где взять drweb-spider-kmod-<версия>- <дата>.tar.bz2?

В папке на компе нет. В репозитории не нашел. Может плохо искал?

А как устанавливали? В deb-пакеты этот модуль не пакуется по причине, см. выше, ненужности. Но если очень хочется, можно вытащить из rpm.



#4 Alekvk

Alekvk

    Newbie

  • Posters
  • 43 Сообщений:

Отправлено 07 Апрель 2019 - 00:30

 

Подробнее про пересборку можно тут:

https://download.geo.drweb.com/pub/drweb/unix/workstation/11.1/documentation/html/ru/index.html?dw_8_app_e_compile_lkm.htm

Читал, в указанных папках в системе нет, в репозитории нет.

 

 

 

Какой продукт установлен (версия)?

ОС - VyOS 1.2.0. Drweb-workstations 11.1

 

 

 

В Debian 8 этот модуль не нужен. 

Можно чуть подробнее?

 

 

 

Если же у Вас какая-то Астра, не стоит говорить загадками.

Не, экспериментирую с VyOS

 

 

 

А как устанавливали?

Собирал ISO-образ. В процессе сборки с репозитория Drweb подтягивались все пакеты для "apt install drweb-workstations". Далее разворачивал на целевой системе для тестов.


Сообщение было изменено Alekvk: 07 Апрель 2019 - 00:34


#5 Dmitry Mikhirev

Dmitry Mikhirev

    Member

  • Dr.Web Staff
  • 371 Сообщений:

Отправлено 07 Апрель 2019 - 00:45

Можно чуть подробнее?

Всё должно прекрасно работать через fanotify. У Вас не работает? Расскажите, в чём заключается проблема.

 

В процессе сборки с репозитория Drweb подтягивались все пакеты для "apt install drweb-workstations".

Как я уже писал выше, deb-пакета с модулем нет. При желании можно скачать rpm, распаковать его и взять архив с исходниками оттуда.



#6 Alekvk

Alekvk

    Newbie

  • Posters
  • 43 Сообщений:

Отправлено 07 Апрель 2019 - 01:17

Расскажите, в чём заключается проблема.

Предполагаю, что как минимум в ОС по умолчанию не хватает либ, необходимых для работы в данном режиме. 

В частности, как обсуждалось в этой теме https://forum.drweb.com/index.php?showtopic=327760&p=833293

для работы в режиме fanotify нужна, в том числе, библиотека glibc. В данной ОС она отсутствует.

 

При желании можно скачать rpm, ...

Про rpm спасибо!


Сообщение было изменено Alekvk: 07 Апрель 2019 - 01:22


#7 Dmitry Mikhirev

Dmitry Mikhirev

    Member

  • Dr.Web Staff
  • 371 Сообщений:

Отправлено 07 Апрель 2019 - 10:37

для работы в режиме fanotify нужна, в том числе, библиотека glibc. В данной ОС она отсутствует.

Без glibc у нас вообще ничего не работает. Это обязательное требование. Если у Вас хоть что-то запустилось, значит она есть.



#8 Boris Savelev

Boris Savelev

    Member

  • Beta Tester
  • 153 Сообщений:

Отправлено 07 Апрель 2019 - 14:48

glibc там обычная от debian 8, а вот ядро нет. И в том ядре нет FANOTIFY поэтому и не работает и нужен модуль. Ну или ядро пересобрать - https://wiki.vyos.net/wiki/Rebuild_VyOS_kernel_Step


Сообщение было изменено Boris Savelev: 07 Апрель 2019 - 14:56

telegram: @bsavelev


#9 Alekvk

Alekvk

    Newbie

  • Posters
  • 43 Сообщений:

Отправлено 08 Апрель 2019 - 15:05

Без glibc у нас вообще ничего не работает. Это обязательное требование. Если у Вас хоть что-то запустилось, значит она есть.

glibc там обычная от debian 8...

Эм....

Вот перечень установленных библиотек *libc*

...vyos@vyos:~$ sudo apt list | grep libc

WARNING: apt does not have a stable CLI interface yet. Use with caution in scripts.

klibc-utils/now 2.0.4-2 amd64 [installed,local]
libc-ares2/now 1.10.0-2+deb8u2 amd64 [installed,local]
libc-bin/now 2.19-18+deb8u10 amd64 [installed,local]
libc6/now 2.19-18+deb8u10 amd64 [installed,local]
libc6-dbg/now 2.19-18+deb8u10 amd64 [installed,local]
libcap-ng0/now 0.7.4-2 amd64 [installed,local]
libcap2/now 1:2.24-8 amd64 [installed,local]
libcap2-bin/now 1:2.24-8 amd64 [installed,local]
libcarp-assert-more-perl/now 1.14-1 all [installed,local]
libcarp-assert-perl/now 0.21-1 all [installed,local]
libcgi-fast-perl/now 1:2.04-1 all [installed,local]
libcgi-pm-perl/now 4.09-1 all [installed,local]
libcharon-extra-plugins/now 5.7.2-1+vyos2 amd64 [installed,local]
libcidr0/now 1.2.3-2 amd64 [installed,local]
libclass-accessor-perl/now 0.34-1 all [installed,local]
libclass-c3-perl/now 0.26-1 all [installed,local]
libclass-c3-xs-perl/now 0.13-2+b1 amd64 [installed,local]
libclass-data-inheritable-perl/now 0.08-2 all [installed,local]
libclass-method-modifiers-perl/now 2.11-1 all [installed,local]
libclone-perl/now 0.37-1+b1 amd64 [installed,local]
libcomerr2/now 1.42.12-2+b1 amd64 [installed,local]
libcommon-sense-perl/now 3.73-2+b3 amd64 [installed,local]
libconfig-model-lcdproc-perl/now 2.042-3 all [installed,local]
libconfig-model-perl/now 2.061-1 all [installed,local]
libconfig-model-tkui-perl/now 1.344-1 all [installed,local]
libconfuse-common/now 2.7-5+deb8u1 all [installed,local]
libconfuse0/now 2.7-5+deb8u1 amd64 [installed,local]
libcpan-meta-perl/now 2.142690-1 all [installed,local]
libcrypt-openssl-bignum-perl/now 0.04-4+b2 amd64 [installed,local]
libcrypt-openssl-rsa-perl/now 0.28-2+b1 amd64 [installed,local]
libcryptsetup4/now 2:1.6.6-5 amd64 [installed,local]
libcurl3/now 7.38.0-4+deb8u14 amd64 [installed,local]
libcurl3-gnutls/now 7.38.0-4+deb8u14 amd64 [installed,local]
libcwidget3/now 0.5.17-2 amd64 [installed,local]
libklibc/now 2.0.4-2 amd64 [installed,local]
strongswan-libcharon/now 5.7.2-1+vyos2 amd64 [installed,local]


Сообщение было изменено Alekvk: 08 Апрель 2019 - 15:07


#10 Alekvk

Alekvk

    Newbie

  • Posters
  • 43 Сообщений:

Отправлено 08 Апрель 2019 - 15:14

Возможно, установленная библиотека klibc является некоторым "урезком" библиотеки glibc и поэтому что-то да работает?

...vyos@vyos:~$ drweb-ctl appinfo
ConfigD; 2325; RUNNING 1; Installed (ConfigD ScanEngine FileCheck Update ESAgent NetCheck GateD MailD Antispam CloudD MeshD LinuxGUI LinuxSpider LinuxFirewall), Should run (Update LinuxSpider)
Update; 2604; RUNNING 1
MeshD; 2691; RUNNING 1
LinuxSpider; 2605; TERMINATED 113 Kernel module is not available



#11 Dmitry Mikhirev

Dmitry Mikhirev

    Member

  • Dr.Web Staff
  • 371 Сообщений:

Отправлено 08 Апрель 2019 - 15:14

libc6/now 2.19-18+deb8u10 amd64 [installed,local]

Это она.



#12 Alekvk

Alekvk

    Newbie

  • Posters
  • 43 Сообщений:

Отправлено 08 Апрель 2019 - 15:19

 

Ну или ядро пересобрать - https://wiki.vyos.net/wiki/Rebuild_VyOS_kernel_Step

С какими параметрами не подскажете? (Имеется ввиду обязательные параметры для работы FANOTIFY)


Сообщение было изменено Alekvk: 08 Апрель 2019 - 15:24


#13 Alekvk

Alekvk

    Newbie

  • Posters
  • 43 Сообщений:

Отправлено 08 Апрель 2019 - 15:23

 

Это она.

Век живи - век учись. :))


Сообщение было изменено Alekvk: 08 Апрель 2019 - 15:24


#14 Dmitry Mikhirev

Dmitry Mikhirev

    Member

  • Dr.Web Staff
  • 371 Сообщений:

Отправлено 08 Апрель 2019 - 15:26

С какими параметрами не подскажете? (Имеется ввиду обязательные параметры для работы FANOTIFY)

 
CONFIG_FANOTIFY=y
CONFIG_FANOTIFY_ACCESS_PERMISSIONS=y
(Второе не обязательно, но лучше включить.)

Сообщение было изменено Dmitry Mikhirev: 08 Апрель 2019 - 15:29


#15 Alekvk

Alekvk

    Newbie

  • Posters
  • 43 Сообщений:

Отправлено 08 Апрель 2019 - 15:27

Спасибо!!!





Also tagged with one or more of these keywords: drweb-spider-kmod, сборка модуля ядра, SpIDer Guard

Читают тему: 0

0 пользователей, 0 гостей, 0 скрытых